import Router from 'vue-router'

Vue.use(Router)

let base = '/';

if (location.pathname && location.pathname != '/') {
    base = location.pathname.split('/').slice(0, -1).join('/');
}

let routes = [{
    path: '/',
    redirect: '/role'
},

    {
        path: '/dbdesign',
        component: ()=>import(/* webpackChunkName: "dbdesign" */ './pages/dbdesign/dbdesign.vue'),
    },
    {
        path: '/datasource',
        component: ()=>import(/* webpackChunkName: "admin-module-datasource-index" */ './pages/datasource/views/index.vue'),
        children: [{
            name: 'data-source.list',
            path: '',
            component: ()=>import(/* webpackChunkName: "admin-module-datasource-list" */ './pages/datasource/views/list.vue'),
        },
            {
                name: 'data-source.builder',
                path: 'builder/:id?',
                component: ()=>import(/* webpackChunkName: "admin-module-datasource-builder" */ './pages/datasource/views/builder.vue'),
            }
        ]
    },
    {
        path: '/role',
        component: ()=>import(/* webpackChunkName: "admin-module-role" */ './pages/role/views/index.vue')
    },


    {
        path: '/module/:module',
        component: ()=>import(/* webpackChunkName: "admin-module-module" */ './pages/render/views/module.vue')
    },

    {
        name: 'Error',
        path: '/*',
        component: ()=>import(/* webpackChunkName: "admin-module-404" */ './pages/error/views/404.vue')
    }
]

export default new Router({
    base,
    routes,
    history: true,
    linkActiveClass: 'active'
})
